package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.Order;
import org.apache.ibatis.annotations.Param;
import org.aspectj.weaver.ast.Or;

import java.util.Date;
import java.util.List;

public interface OrderMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Order record);

    int insertSelective(Order record);

    Order selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Order record);

    int updateByPrimaryKey(Order record);

    Order selectByOrderSn(String orderSn);

    Order selectNewOne(Integer shopId);

    int deleteByCreateTime(@Param("createTime") Date createTime);

    int insertByBatch(List<Order> orders);

    Order selectByServiceConatctNo(@Param("serviceContractNo") String serviceContractNo);

    int updateStatusByPrimaryKey(Order record);
}